Skip to content
Back to top
View this page

# ReactionTypeCustomEmoji

class telegram.ReactionTypeCustomEmoji(custom_emoji_id, *, api_kwargs=None)

  Bases: `telegram.ReactionType`

  Represents a reaction with a custom emoji.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if the `custom_emoji_id` is equal.

  Use In

  `telegram.Bot.set_message_reaction()`

  Available In

  - `telegram.ChatFullInfo.available_reactions`

  - `telegram.MessageReactionUpdated.new_reaction`

  - `telegram.MessageReactionUpdated.old_reaction`

  - `telegram.ReactionCount.type`

  - `telegram.StoryAreaTypeSuggestedReaction.reaction_type`

  Added in version 20.8.

  Parameters:

    custom_emoji_id (`str`) – Custom emoji identifier.

  type

    Type of the reaction, always `'custom_emoji'`.

    Type:

      `str`

  custom_emoji_id

    Custom emoji identifier.

    Type:

      `str`